<?php
ini_set('display_errors', 1);
require_once './Control/ControlProduto.php';
require_once './Util/formAjax/FormAjax.php';
//require_once './Util/Imagem.php';
extract($_POST);
//echo print_r($_POST, true);	
$controlProduto = new ControlProduto();
if ($acao == 'inserir')
{
	$categoria = new Categoria();
} else
{
	$categoria = $controlProduto->pegarUmCategoria($pk);
}
if ($acao != 'excluir')
{
    $categoria->lang = $lang;
    $categoria->setIdsite(stripslashes($txtIDSite));
    $categoria->sNome(stripslashes($txtNome));
    $categoria->sDescricaoCurta(stripslashes($txtDescricaoCurta));
    $categoria->sTag(stripslashes($txtTag));
    $categoria->sDescricao(stripslashes($txtDescricao));
    $categoria->setHabilitado(stripslashes($cbHabilitado));
    //Definir Foto
    if ((isset($upFoto)) and ($upFoto != 'null'))
    {   
        Utilidades::deletarAquivo($categoria->getFoto());
        Utilidades::deletarAquivo($categoria->getFotoq());
        $nomeArquivo = md5(uniqid(time())) . $upFoto[0];
        copy('./upload_temp/' . $upFoto[0], './fotos/categoria/' . $nomeArquivo);
        copy('./upload_temp/thumbnails/' . $upFoto[0], './fotos/categoria/thumbnails/' . $nomeArquivo);
        $categoria->setFotoq('./fotos/categoria/' . $nomeArquivo);
        $categoria->setFoto('./fotos/categoria/thumbnails/' . $nomeArquivo);
        Utilidades::deletarAquivo('./upload_temp/' . $upFoto[0]);
        Utilidades::deletarAquivo('./upload_temp/thumbnails/' . $upFoto[0]);

    }
    //Remover Foto
    if ($remFoto == 'remFoto')
    {
        Utilidades::deletarAquivo($categoria->getFoto());
        Utilidades::deletarAquivo($categoria->getFotoq());
        $categoria->setFoto(NULL);
        $categoria->setFotoq(NULL);
    }
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlProduto->salvarCategoria($categoria);
                    break;
            case 'inserir':
                    $retorno = $controlProduto->salvarCategoria($categoria);
                    $acao = 'alterar';
                    $categoria->find(true);
                    $pk = $categoria->getCategoriaid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlProduto->excluirCategoria($categoria);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#categoriaID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>